from ckdm_interface_real import *
import random

c = CKDM_Interface()
c.connect(port = 'COM1')

con = c.commander.sercom.connect
dis = c.commander.sercom.disconnect

def tc(rot = 1, tilt = 1):
	"Posle stul do souradnic rot, tilt"
	c.table_cmd("ii", None, "T_Goto", rot, tilt)

def coords():
	"Precte aktualni souradnice stolu"
	print u"rot = %f, tilt = %f, arm = %f" % (devices.rot.val, devices.tilt.val, devices.arm.val)

def lq():
	"precte hodnotu luxmetru"
	return c.lux_cmd(None, 's', 'L_Q')

def lr(range):
	"nastavi rozsah luxmetru"
	return c.lux_cmd('i', None, 'L_R', range%7)

def rand_lux_func():
	"nahodne bud precte displej luxmetru nebo zmeni nahodne rozsah"
	if random.randint(0, 1) == 0:
		print 'lq'
		return lq()
	else:
		print 'lr'
		return lr(random.randint(0, 6))
    
def rand_table_func():
	"nahodne bud precte displej luxmetru nebo zmeni nahodne rozsah"
	dist = 5
	if random.randint(0, 1) == 0:
		print 'table_goto'
		c.table_goto(random.random()*dist, random.random()*dist)
	else:
		print 'table_get_pos'
		return c.table_get_pos()
    
def tq(q):
	"Posle stolu dotaz q a vrati odpoved"
	return c.table_cmd('s', 's', 'T_Q', q)

