from ckdm_interface_real import *
from table_math import *
from storage import *

c = CKDM_Interface()
c.connect(port = 'COM1')

con = c.commander.sercom.connect
dis = c.commander.sercom.disconnect

def tc(rot = 1, tilt = 1):
	"Posle stul do souradnic rot, tilt [deg]"
	c.table_cmd("ii", None, "T_Goto", rot*1000.0, tilt*1000.0)

def ac(arm = 1):
	"Posle rameno do souradnice arm [deg]"
	c.table_cmd("ii", None, "A_Goto", arm*1000.0)

def compute_omega_sigma(ff_, f_q, fp, f_p, pq):
	o_ = arccos ( (f_q**2.0 + f_p**2.0 - pq**2.0) / (2.0*f_q*f_p) )
	o = pi/2 - o_
	s = arcsin(float(ff_)/fp)
	print (u"omega = %f, sigma = %f") % (rad2deg(o), rad2deg(s))

"""
mi = MeasInfo()
mi.meas_type.value = 0 # bez pripravku
mi.f.set_xyz(-0.169, 0.153, 0.563)
mi.sensor.set_xyz(0, 2.78, 0.5 + table_board_distance)
tm = create_table_math(mi)

omega = 150
sigma = 45
"""

"""
mi = MeasInfo()
mi.meas_type.value = 2 # rameno
mi.f.set_xyz(0.0, 0.0, 0.241)
tm = create_table_math(mi)

omega = 150
sigma = 70
"""

mi = MeasInfo()
mi.meas_type.value = 1 # pripravek
mi.f.set_xyz(0.0, 0.0, 0.092)
mi.sensor.set_xyz(0, 2.78, 0.0 + table_board_distance)
tm = create_table_math(mi)

omega = 0
sigma = 70

(rot, tilt, arm) = tm.get_rot_tilt_arm(omega, sigma)
print mi.as_str()
if (arm == None):
	print u"omega = %f, sigma = %f, execute tc(%f, %f)" % (omega, sigma, rot, tilt)
else:
	print u"omega = %f, sigma = %f, execute tc(%f, %f); ac(%f)" % (omega, sigma, rot, tilt, arm)


